import com.sdtool.common.api.PermissionService

static def createRunnable(PermissionService permissionService, String dataSourceId, long supplierCode) {
    return {
        permissionService.buildRoleCache(true, dataSourceId, supplierCode)
    } as Runnable
}

//groovy最后一个表达式的值为返回
createRunnable(permissionService, dataSourceId, supplierCode)

